Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.ognl
Class OgnlExpressionParser

    java.lang.Object
      org.springframework.binding.expression.support.AbstractExpressionParser
          org.springframework.binding.expression.ognl.OgnlExpressionParser

All Implemented Interfaces:
  ExpressionParser

Direct Known Subclasses:
  WebFlowOgnlExpressionParser

    public class OgnlExpressionParser

extends AbstractExpressionParser

An expression parser that parses Ognl expressions.

Author:
  Keith Donald

Constructor Summary
`OgnlExpressionParser()`

Method Summary
`void` | `addPropertyAccessor(java.lang.Class clazz, ognl.PropertyAccessor propertyAccessor)` Add a property access strategy for the given class.
`protected Expression` | `doParseExpression(java.lang.String expressionString, ParserContext context)`
`ConversionService` | `getConversionService()` The conversion service to use to perform type conversions as needed by the OGNL system.
`void` | `setConversionService(ConversionService conversionService)` Sets the conversion service to use to perform type conversions as needed by the OGNL system.

Methods inherited from class org.springframework.binding.expression.support.AbstractExpressionParser
`getAllowDelimitedEvalExpressions, getExpressionPrefix, getExpressionSuffix, parseExpression, parseVariableExpressions, setAllowDelimitedEvalExpressions, setExpressionPrefix, setExpressionSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OgnlExpressionParser

    public OgnlExpressionParser()

Method Detail

### getConversionService

    public ConversionService getConversionService()

  The conversion service to use to perform type conversions as needed by the OGNL system. If not specified, the default is an instance of `DefaultConversionService`.

### setConversionService

    public void setConversionService(ConversionService conversionService)

  Sets the conversion service to use to perform type conversions as needed by the OGNL system.

  Parameters:
    `conversionService` - the conversion service to use

### addPropertyAccessor

    public void addPropertyAccessor(java.lang.Class clazz,
                                    ognl.PropertyAccessor propertyAccessor)

  Add a property access strategy for the given class.

  Parameters:
    `clazz` - the class that contains properties needing access
    `propertyAccessor` - the property access strategy

### doParseExpression

    protected Expression doParseExpression(java.lang.String expressionString,
                                           ParserContext context)
                                    throws ParserException

  Specified by:
    `doParseExpression` in class `AbstractExpressionParser`
  Throws:
    `ParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD